# 64bit

%define name		qca2-qt5
%define version		2.1.3
%define release		%mkrel 1
%define major		_2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		%{name}
Version:	%{version}
Release: 	%{release}
License:	LGPL
Summary:	Qt Cryptographic Architecture
Group:		System/Libraries
URL:		http://delta.affinix.com/qca
Source0:	http://download.kde.org/stable/qca/%{version}/src/qca-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}/buildroot
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	%{_lib}gcrypt-devel
BuildRequires:  %{_lib}nss-devel
BuildRequires:	%{_lib}pkcs11-helper-devel
BuildRequires:	%{_lib}sasl2-devel
BuildRequires:  %{_lib}qt5network-devel

%description
The QCA library provides an easy API for a range of cryptographic
features, including SSL/TLS, X.509 certificates, SASL, symmetric
ciphers, public key ciphers, hashes and much more.

Functionality is supplied via plugins. This is useful for avoiding
dependence on a particular crypto library and makes upgrading easier,
as there is no need to recompile your application when adding or
upgrading a crypto plugin. Also, by pushing crypto functionality into
plugins, applications are free of legal issues, such as export
regulation.

%files
%defattr(-,root,root)
%doc README COPYING INSTALL TODO
%{_bindir}/mozcerts-qt5
%{_bindir}/qcatool-qt5
%{_mandir}/man1/qcatool-qt5.1.bz2

%package -n %{libname}
Summary:	Libraries for QCA
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libraries for QCA.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_qt5_plugindir}/crypto

%package -n %{develname}
Summary:	Development files for QCA
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for QCA.

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/Qca-qt5
%{_libdir}/cmake/Qca-qt5
%{_libdir}/libqca-qt5.so
%{_libdir}/pkgconfig/qca2-qt5.pc
%{_qt5_prefix}/mkspecs

%prep
%setup -qn qca-%{version}
%{apply_patches}

%build
%cmake_qt5 \
  -DBUILD_TESTS=OFF \
  -DQCA_FEATURE_INSTALL_DIR=%{_qt5_prefix}/mkspecs/features/ \
  -DQCA_PLUGINS_INSTALL_DIR:PATH=%{_qt5_plugindir}
%make

%install
%__rm -rf %{buildroot}
%make_install -C build

%clean
%__rm -rf %{buildroot}

%changelog
* Fri Jul 06 2018 adrianomoreslli <adrianomorselli> 2.1.3-1uplos2018
- update
